# HG changeset patch
# Node ID a614b8fc1713
# Parent  5bc664b848a5
diff --git a/libpurple/protocols/meson.build b/libpurple/protocols/meson.build
--- a/libpurple/protocols/meson.build
+++ b/libpurple/protocols/meson.build
@@ -7,5 +7,4 @@
 subdir('jabber')
 subdir('novell')
 subdir('sametime')
-subdir('silc')
 subdir('zephyr')
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -340,12 +340,6 @@
 	enable_avahi = avahi_client.found() and avahi_glib.found()
 endif
 
-
-#######################################################################
-# Check for SILC client includes and libraries
-#######################################################################
-silc = dependency('silcclient', version : '>= 1.1.1', required : get_option('silc'))
-
 #######################################################################
 # Check for Gadu-Gadu protocol library (libgadu)
 #######################################################################
@@ -370,7 +364,7 @@
 
 
 DEFAULT_PRPLS = ['bonjour', 'demo', 'facebook', 'gg', 'irc', 'ircv3', 'jabber',
-                 'novell', 'null', 'sametime', 'silc', 'zephyr']
+                 'novell', 'null', 'sametime', 'zephyr']
 ALL_PRPLS = DEFAULT_PRPLS + ['null']
 
 dynamic_list = get_option('dynamic-prpls').split(',')
@@ -385,8 +379,6 @@
 		# Do nothing.
 	elif prpl == 'bonjour' and not enable_avahi
 		# Do nothing.
-	elif prpl == 'silc' and not silc.found()
-		# Do nothing.
 	elif prpl == 'gg' and not libgadu.found()
 		# Do nothing.
 	elif prpl == 'zephyr' and IS_WIN32
@@ -406,7 +398,6 @@
 DYNAMIC_NOVELL = DYNAMIC_PRPLS.contains('novell')
 DYNAMIC_NULL = DYNAMIC_PRPLS.contains('null')
 DYNAMIC_SAMETIME = DYNAMIC_PRPLS.contains('sametime')
-DYNAMIC_SILC = DYNAMIC_PRPLS.contains('silc')
 DYNAMIC_ZEPHYR = DYNAMIC_PRPLS.contains('zephyr')
 
 conf.set('HAVE_SYS_UTSNAME_H',
diff --git a/pidgin/data/im.pidgin.Pidgin3.desktop.in.in b/pidgin/data/im.pidgin.Pidgin3.desktop.in.in
--- a/pidgin/data/im.pidgin.Pidgin3.desktop.in.in
+++ b/pidgin/data/im.pidgin.Pidgin3.desktop.in.in
@@ -4,7 +4,7 @@
 X-GNOME-FullName=Pidgin Internet Messenger
 Comment=Chat over IM.  Supports XMPP, IRC, and more
 # TRANSLATORS: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon!
-Keywords=chat;talk;im;message;bonjour;gadu-gadu;irc;groupwise;jabber;sametime;silc;simple;xmpp;zephyr
+Keywords=chat;talk;im;message;bonjour;gadu-gadu;irc;groupwise;jabber;sametime;simple;xmpp;zephyr
 Exec=pidgin3 %U
 Icon=im.pidgin.Pidgin3
 StartupNotify=true
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -174,14 +174,6 @@
 libpurple/protocols/sametime/im_mime.c
 libpurple/protocols/sametime/sametime.c
 libpurple/protocols/sametime/tests/test_sametime_im_mime.c
-libpurple/protocols/silc/buddy.c
-libpurple/protocols/silc/chat.c
-libpurple/protocols/silc/ft.c
-libpurple/protocols/silc/ops.c
-libpurple/protocols/silc/pk.c
-libpurple/protocols/silc/silc.c
-libpurple/protocols/silc/util.c
-libpurple/protocols/silc/wb.c
 libpurple/protocols/zephyr/ZAsyncLocate.c
 libpurple/protocols/zephyr/ZCkAuth.c
 libpurple/protocols/zephyr/ZCkIfNot.c
